## org.h2.result
Interface ResultInterface

All Known Implementing Classes:
  LocalResult, ResultRemote

    public interface ResultInterface

The result interface is used by the LocalResult and ResultRemote class. A result may contain rows, or just an update count.

Method Summary
`void` `close()` Close the result and delete any temporary files
`Value[]` `currentRow()` Get the current row.
`java.lang.String` `getAlias(int i)` Get the column alias name for the column.
`java.lang.String` `getColumnName(int i)` Get the column name.
`long` `getColumnPrecision(int i)` Get the precision for this column.
`int` `getColumnScale(int i)` Get the scale for this column.
`int` `getColumnType(int i)` Get the column data type.
`int` `getDisplaySize(int i)` Get the display size for this column.
`int` `getFetchSize()` Get the current fetch size for this result set.
`int` `getNullable(int i)` Check if this column is nullable.
`int` `getRowCount()` Get the number of rows in this object.
`int` `getRowId()` Get the current row id, starting with 0.
`java.lang.String` `getSchemaName(int i)` Get the schema name for the column, if one exists.
`java.lang.String` `getTableName(int i)` Get the table name for the column, if one exists.
`int` `getVisibleColumnCount()` Get the number of visible columns.
`boolean` `isAutoIncrement(int i)` Check if this is an auto-increment column.
`boolean` `needToClose()` Check if this result set should be closed, for example because it is buffered using a temporary file.
`boolean` `next()` Go to the next row.
`void` `reset()` Go to the beginning of the result, that means before the first row.
`void` `setFetchSize(int fetchSize)` Set the fetch size for this result set.

Method Detail

### reset

    void reset()

  Go to the beginning of the result, that means before the first row.

### currentRow

    Value[] currentRow()

  Get the current row.

  Returns:
    the row

### next

    boolean next()

  Go to the next row.

  Returns:
    true if a row exists

### getRowId

    int getRowId()

  Get the current row id, starting with 0. -1 is returned when next() was not called yet.

  Returns:
    the row id

### getVisibleColumnCount

    int getVisibleColumnCount()

  Get the number of visible columns. More columns may exist internally for sorting or grouping.

  Returns:
    the number of columns

### getRowCount

    int getRowCount()

  Get the number of rows in this object.

  Returns:
    the number of rows

### needToClose

    boolean needToClose()

  Check if this result set should be closed, for example because it is buffered using a temporary file.

  Returns:
    true if close should be called.

### close

    void close()

  Close the result and delete any temporary files

### getAlias

    java.lang.String getAlias(int i)

  Get the column alias name for the column.

  Parameters:
    `i` - the column number (starting with 0)
  Returns:
    the alias name

### getSchemaName

    java.lang.String getSchemaName(int i)

  Get the schema name for the column, if one exists.

  Parameters:
    `i` - the column number (starting with 0)
  Returns:
    the schema name or null

### getTableName

    java.lang.String getTableName(int i)

  Get the table name for the column, if one exists.

  Parameters:
    `i` - the column number (starting with 0)
  Returns:
    the table name or null

### getColumnName

    java.lang.String getColumnName(int i)

  Get the column name.

  Parameters:
    `i` - the column number (starting with 0)
  Returns:
    the column name

### getColumnType

    int getColumnType(int i)

  Get the column data type.

  Parameters:
    `i` - the column number (starting with 0)
  Returns:
    the column data type

### getColumnPrecision

    long getColumnPrecision(int i)

  Get the precision for this column.

  Parameters:
    `i` - the column number (starting with 0)
  Returns:
    the precision

### getColumnScale

    int getColumnScale(int i)

  Get the scale for this column.

  Parameters:
    `i` - the column number (starting with 0)
  Returns:
    the scale

### getDisplaySize

    int getDisplaySize(int i)

  Get the display size for this column.

  Parameters:
    `i` - the column number (starting with 0)
  Returns:
    the display size

### isAutoIncrement

    boolean isAutoIncrement(int i)

  Check if this is an auto-increment column.

  Parameters:
    `i` - the column number (starting with 0)
  Returns:
    true for auto-increment columns

### getNullable

    int getNullable(int i)

  Check if this column is nullable.

  Parameters:
    `i` - the column number (starting with 0)
  Returns:
    Column.NULLABLE_*

### setFetchSize

    void setFetchSize(int fetchSize)

  Set the fetch size for this result set.

  Parameters:
    `fetchSize` - the new fetch size

### getFetchSize

    int getFetchSize()

  Get the current fetch size for this result set.

  Returns:
    the fetch size